Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: UT (goty) werkt niet meer in Gutsy  (gelezen 1507 keer)

Offline MBS

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Gepost op: 2007/10/20, 22:42:00 »
Hallo Ubuntu guru's,

Sinds gisteren ben ik ge-upgrade naar Gutsy en alles lijkt goed gegaan te zijn behalve dat Unreal Tournament niet meer werkt.
Ik heb wel iets voorbij zien komen over SDLGLD drivers en denk dat het daar ook mee te maken heeft maar ben nog niet echt thuis in deze materie.

Als ik UT opstart krijg ik volgende foutmelding:

Opening SDL viewport.
Bound to SDLGLDrv.so
Loaded render device class.
Initializing SDLGLDrv...
binding libGL.so.1
Resizing SDL viewport. X: 1680 Y: 1050
OpenGL
X Error of failed request:  XF86DGANoDirectVideoMode
  Major opcode of failed request:  136 (XFree86-DGA)
  Minor opcode of failed request:  2 (XF86DGADirectVideo)
  Serial number of failed request:  111
  Current serial number in output stream:  112
Signal: SIGSEGV [segmentation fault]
Aborting.
XIO:  fatal IO error 0 (Success) on X server ":0.0"
      after 122 requests (120 known processed) with 5 events remaining.
Ik heb ondertussen geprobeert de drivers voor mijn ATI (9550) kaart opnieuw te installeren middels ENVY maar met hetzelfde resultaat.
Toevallig nog meer Unreal freaks op dit forum en die ook nog een beetje thuis zijn in (K)Ubuntu?

Alvast bedankt....frags als beloning...;)

Offline Tecumseh

  • Lid
    • http://tecumseh.homeip.net
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #1 Gepost op: 2007/10/20, 23:20:37 »
UT draaiend krijgen is het volgende op mijn lijstje. Alleen draai ik Gutsy 64-bits dus ik heb waarschijnlijk nog meer horde's te overwinnen. Ik volg dit draadje in elk geval en zal ook terugkoppeling geven.

Offline Kaaiman

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #2 Gepost op: 2007/10/22, 17:53:27 »
Ik heb UT GOTY via Loki, en alles ging goed met de installatie.

Als ik UT wil gaan spelen echter, krijg ik steeds de melding 'ut: 29: Syntax error: Bad substitution'.
Houdt dit in dat op regel 29 van het shellscript een fout zit of is het een foutcode?

Offline Kaaiman

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #3 Gepost op: 2007/10/22, 17:59:34 »
Ah!
Het vervangen van de eerste regel #!/bin/shdoor #!/bin/bashwas voldoende om UT bij mij weer aan de praat te krijgen. :D

@MBS: wellicht helpt herinstalleren?

Offline Matthijs Moerman

  • Lid
    • http://smallhosting.nl
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #4 Gepost op: 2007/10/22, 18:01:03 »
Citaat van: Kaaiman
Ah!
Het vervangen van de eerste regel #!/bin/shdoor #!/bin/bashwas voldoende om UT bij mij weer aan de praat te krijgen. :D

@MBS: wellicht helpt herinstalleren?
Lijkt me toch best vreemd, want alles waar een # voor staat wordt normaal gesproken toch niet gezien ??

Offline Kaaiman

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #5 Gepost op: 2007/10/22, 19:46:00 »
Op de eerste regel wel. Dan kan de shell zien wat 'ie ermee moet. Een header dus. :)

Alles met een # leest 'ie wel, maar voert 'ie niet uit. ;)

Offline MBS

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #6 Gepost op: 2007/10/22, 22:49:42 »
Ik heb ondertussen UT opnieuw geinstalleerd maar helaas.

fglrxinfo geeft geen ATI aan maar Mesa.
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (2.1 Mesa 7.0.1)
Hier is ontzettend veel over te vinden en ik heb ook al verschillende dingen geprobeerd (xorg.conf gewijzigd, diverse cmd's, restarts etc.) maar denk dat het iets met de nieuwe kernel te maken heeft....maar dit leest allemaal niet lekker weg voor een noob.....maar ik heb goede moed dat er hier wat kenners meelezen...;)

In Xor.0.log lees ik het volgende:
(II) fglrx(0): Kernel Module Version Information:
(II) fglrx(0):     Name: fglrx
(II) fglrx(0):     Version: 8.37.6
(II) fglrx(0):     Date: May 25 2007
(II) fglrx(0):     Desc: ATI FireGL DRM kernel module
(WW) fglrx(0): Kernel Module version does *not* match driver.
(EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will not work
(II) fglrx(0): [drm] removed 1 reserved context for kernel
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0x2000 at 0xb78fd000
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed!                  *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO)             *
(WW) fglrx(0): * no 3D acceleration available                *
(WW) fglrx(0): ********************************************* *
Ik werk overigens met Kubuntu....is het misschien handiger om eerst de 3d-desktop te gaan proberen in gnome of zeg ik nou iets onzinnigs?

Offline Kaaiman

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #7 Gepost op: 2007/10/23, 10:07:45 »
Heb je wel de 'beperkt ondersteunde stuurprogramma's' voor je grafische kaart geïnstalleerd?

Offline MBS

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #8 Gepost op: 2007/10/23, 21:46:32 »
Ik denk het wel....als het goed is...is dat xorg-driver-fglrx versie 8.40.4-1 of bedoel je wat anders?

Maar ik zie ook dat de nvidia-kernel-common standaard geinstalleerd is....terwijl ik dus een ATI heb? Doet Gutsy dit default?

Offline MBS

  • Lid
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #9 Gepost op: 2007/10/28, 01:57:04 »
Drivers verwijderd en weer geïnstalleerd zoals in de wiki vermeld staat en schieten maar.....;-D

Offline Tecumseh

  • Lid
    • http://tecumseh.homeip.net
  • Steunpunt: Nee
UT (goty) werkt niet meer in Gutsy
« Reactie #10 Gepost op: 2007/10/28, 02:31:52 »
Citaat van: Tecumseh
UT draaiend krijgen is het volgende op mijn lijstje. Alleen draai ik Gutsy 64-bits dus ik heb waarschijnlijk nog meer horde's te overwinnen. Ik volg dit draadje in elk geval en zal ook terugkoppeling geven.
Ik heb ondertussen zonder veel problemen UT draaiende gekregen. Volgens mij waren de linux32 pakketten om 32 bits programma's te kunnen draaien al present bij mij om een ander pakket aan de praat te krijgen. En ik had nog wel verwacht om in een chroot omgeving UT te moeten draaien.

Enig probleem wat ik wel tegenkom is dat mijn systeem waarschijnlijk veel en veel te snel is. Dualcore 64 bits is blijkbaar niet iets waar ze met het programmeren rekening gehouden hebben. Ik kan nu een tournament niet eens winnen op de simpelste stand, het spel verloopt namelijk ongeveer 3x zo snel en mijn reactietijd blijft daar dan wel een beetje bij achter ;)

Oude tijden herleven, toen ik op mijn toenmalig gloednieuwe IBM Cyrix 166+ een dos spel wou spelen moest ik ook halsbrekende toeren uithalen om de turbo eraf te halen...